Items = ListBox.GetCount("ListBox1");
Selected = ListBox.GetSelected("ListBox1");
if Selected then
	Item = Selected[1] +1;
	ListBox.DeselectItem("ListBox1", Selected[1]);
		if Item > Items then
		Item = 1;
		end
	ListBox.SelectItem("ListBox1", Item);	
	file_name = ListBox.GetItemText("ListBox1", Item);	
	FilePath = ListBox.GetItemData("ListBox1", Item);
		nAudioPos = 0;	
		nHandPos = nil;			
		Audio.Load(CHANNEL_USER1, FilePath, true, false);
			visible()
		nAudioLength = Audio.GetLength(CHANNEL_USER1);								
		SliderEx.SetRange("Slider_Audio", 0 , nAudioLength);							
		SliderEx.SetSliderPos("Slider_Audio", nAudioPos);		
		title = Audio.GetFilename(CHANNEL_USER1);
		title = String.Right(title, (String.Length(title) - String.ReverseFind(title, "\\", true)));
		title = String.Upper(" NOW PLAYING - "..title.." -");
		Page.StartTimer(151);		
end